
# load installed RRegrs package (see https://github.com/enanomapper/RRegrs/)
library(RRegrs)

# read training and test datsets from CSV files to ds.train and ds.test data.frames
ds.train <- read.csv("ds.training.raw(CSH).csv") 
ds.test  <- read.csv("ds.test.raw(CSH).csv")

# set the seed to 1 to be able to reproduce the same results
iSeed=1
set.seed(iSeed)

# RF call fromn RRegrs without details (plots, etc.)
# -----------------------------------------------------------------------
my.stats.reg <- RRegrs::RFreg(ds.train,ds.test,"repeatedcv",iSeed,F,"")
                       
# with you need details disable the above call and enable the follwing 2 lines
# --------------------------------------------------------------------------------
# sRes = "Results_split1_House.csv"
# my.stats.reg  <- RRegrs::RFreg(ds.train,ds.test,"repeatedcv",iSeed,T,sRes)$stat.values

# Print test R2 and RMSE values
cat("R2.ts=",my.stats.reg$stat.values$R2.ts,"RMSE.ts=",my.stats.reg$stat.values$RMSE.ts)
